<glk-top-img content="../../../assets/img/title/login.jpeg"
            titleText="Mitglieder-Bereich"></glk-top-img>

<div class="content-container" [class.mobile]="mobileService.isMobile">
  <div class="text-container">

    <!-- not logged in-->
    <div *ngIf="!(userService.username$ | async)" class="login-container">
      <h2>Login</h2>
      <input [(ngModel)]="username" (keyup.enter)="submitInput()" type="text"
        class="login-element login-input" placeholder="Nutzername" required="" autofocus="" />
      <input [(ngModel)]="password" (keyup.enter)="submitInput()" type="password"
        class="login-element login-input" placeholder="Passwort" required=""/>
      <button (click)="submitInput()" class="login-element login-button" type="submit">Anmelden</button>
    </div>

    <!--logged in user-->
    <div *ngIf="userService.username$ | async" class="login-container">
      <h2>Login</h2>
      <span>
        Angemeldet als {{ userService.username$ | async }}
      </span>
    </div>

  </div>
</div>
